Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.wcf.catedit
Class CategorySupport

    java.lang.Object
      com.tonbeller.wcf.catedit.CategorySupport

All Implemented Interfaces:
  Category

public class CategorySupport
extends java.lang.Object
implements Category

Created on 09.12.2002

Author:
  av

Constructor Summary
`CategorySupport(java.lang.String name, java.lang.String icon)` Constructor for CategorySupport.

Method Summary
`void` | `addItem(Item item)` adds an item to this category
`void` | `changeOrder(java.util.List items)` changes the order of the items
`java.lang.String` | `getIcon()` Returns the icon.
`java.util.List` | `getItems()` Returns the items.
`java.lang.String` | `getName()` Returns the name.
`boolean` | `isEmptyAllowed()` Returns the emptyAllowed.
`boolean` | `isOrderSignificant()` Returns the orderSignificant.
`void` | `removeItem(Item item)` removes an item of this category
`void` | `setEmptyAllowed(boolean emptyAllowed)` Sets the emptyAllowed.
`void` | `setIcon(java.lang.String icon)` Sets the icon.
`void` | `setItems(java.util.List items)` Sets the items.
`void` | `setName(java.lang.String name)` Sets the name.
`void` | `setOrderSignificant(boolean orderSignificant)` Sets the orderSignificant.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CategorySupport

    public CategorySupport(java.lang.String name,
                           java.lang.String icon)

  Constructor for CategorySupport.

Method Detail

### getIcon

    public java.lang.String getIcon()

  Returns the icon.

  Specified by:
    `getIcon` in interface `Category`
  Returns:
    String

### getItems

    public java.util.List getItems()

  Returns the items.

  Specified by:
    `getItems` in interface `Category`
  Returns:
    List

### getName

    public java.lang.String getName()

  Returns the name.

  Specified by:
    `getName` in interface `Category`
  Returns:
    String

### setIcon

    public void setIcon(java.lang.String icon)

  Sets the icon.

  Parameters:
    `icon` - The icon to set

### setItems

    public void setItems(java.util.List items)

  Sets the items.

  Parameters:
    `items` - The items to set

### setName

    public void setName(java.lang.String name)

  Sets the name.

  Parameters:
    `name` - The name to set

### isOrderSignificant

    public boolean isOrderSignificant()

  Returns the orderSignificant.

  Specified by:
    `isOrderSignificant` in interface `Category`
  Returns:
    boolean

### setOrderSignificant

    public void setOrderSignificant(boolean orderSignificant)

  Sets the orderSignificant.

  Parameters:
    `orderSignificant` - The orderSignificant to set

### isEmptyAllowed

    public boolean isEmptyAllowed()

  Returns the emptyAllowed.

  Specified by:
    `isEmptyAllowed` in interface `Category`
  Returns:
    boolean

### setEmptyAllowed

    public void setEmptyAllowed(boolean emptyAllowed)

  Sets the emptyAllowed.

  Parameters:
    `emptyAllowed` - The emptyAllowed to set

### addItem

    public void addItem(Item item)

  Description copied from interface: `Category`
  adds an item to this category

  Specified by:
    `addItem` in interface `Category`
  See Also:
    `Category.addItem(Item)`

### changeOrder

    public void changeOrder(java.util.List items)

  Description copied from interface: `Category`
  changes the order of the items

  Specified by:
    `changeOrder` in interface `Category`
  See Also:
    `Category.changeOrder(List)`

### removeItem

    public void removeItem(Item item)

  Description copied from interface: `Category`
  removes an item of this category

  Specified by:
    `removeItem` in interface `Category`
  See Also:
    `Category.removeItem(Item)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD